%global momorel 2

# Only supporting x86 & PPC for now...
ExclusiveArch: %{ix86} ppc

##################################################################
# Momonga OpenOffice.org RPM SPEC file imported from Fedora Core 2
##################################################################
%global subver	645
%global fullver 1.1
# CVS Tag of the OOo code used
%global build_release_tag OOO_1_1_4
# Version of ooo-build release from ximian
%global ooo_build_version 1.3.9
%global ooo_icons_version ooo-icons-OOO_1_1-10
%global ooo_libwpd_version 0.8.0
# Version of ER (Easy Registration Program from http://openoffice-docj.sourceforge.jp)
%global erversion 0.1.1

# OOo is installed to %%{_libdir}/%%{ooo_install_dir}
%global ooo_install_dir ooo-1.1

# Languages
%global languages "ALL"


%global DistroName Momonga

# Find a free display (resources generation requires X?) and sets XDISPLAY
%define init_xdisplay XDISPLAY=2; while /bin/true; do if [ ! -f /tmp/.X$XDISPLAY-lock ]; then sleep 2s; ( /usr/X11R6/bin/Xvfb -ac :$XDISPLAY >& /dev/null & ); sleep 15s; if [ -f /tmp/.X$XDISPLAY-lock ]; then export DISPLAY=:$XDISPLAY; break; fi; fi; XDISPLAY=$(($XDISPLAY+1)); done
# The virtual X server PID
%define kill_xdisplay kill $(cat /tmp/.X$XDISPLAY-lock)

##################################
# Package Info
##################################
Summary:    OpenOffice.org comprehensive office suite.
Name:       openoffice.org
Version:    1.1.4
Release:    %{momorel}m
URL:        http://www.openoffice.org/
License:    LGPL and GPL
Group:      Applications/Productivity
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
Provides:   openoffice
Provides:   %{name}-l10n
Provides:   %{name}-l10n-pt_BR
Provides:   %{name}-l10n-th
Provides:   %{name}-l10n-hi
Provides:   %{name}-l10n-he
Provides:   %{name}-l10n-en
Provides:   %{name}-help
Provides:   %{name}-help-en
Obsoletes:  openoffice
Obsoletes:  %{name}-l10n
Obsoletes:  %{name}-l10n-pt_BR
Obsoletes:  %{name}-l10n-th
Obsoletes:  %{name}-l10n-hi
Obsoletes:  %{name}-l10n-he
Obsoletes:  %{name}-l10n-en
Obsoletes:  %{name}-help
Obsoletes:  %{name}-help-en

##################################
# local configuration
##################################
%{?include_specopt}
# Java stuff (not tested)
%{?!with_java:       %global with_java 0}

%if %{with_java}
%global java_configure_flags --enable-java --with-jdk-home=/usr/lib/java/sun-j2se-sdk
%else
%global java_configure_flags --disable-java
%endif


########################
Requires: perl, libart_lgpl >= 2.3.11
Requires: openoffice.org-libs = %{version}-%{release}
Requires: fontconfig, truetype-fonts-ja
Requires: unzip, zip
Requires: db4 >= 4.0
Requires: startup-notification
Requires: expat, openssl, readline
## necessary?
#Requires: gtk+, glib, pango, atk
#Requires: tcl tk

########################
BuildRequires: xorg-x11-Xvfb
BuildRequires: pam-devel, perl, sed, tcsh, zip, autoconf, flex, unzip
BuildRequires: XFree86-devel, bzip2, db4-devel >= 4.0
BuildRequires: bison, findutils, make >= 3.79.1, tar, freetype2-devel
#BuildRequires: gcc >= 3.2.2, gcc-c++ >= 3.2.2, libstdc++-devel >= 3.2.2
BuildRequires: gcc3.2, gcc3.2-c++
BuildRequires: libart_lgpl >= 2.3.11, libart_lgpl-devel >= 2.3.11
BuildRequires: libxslt
BuildRequires: startup-notification-devel
BuildRequires: expat-devel, openssl-devel, readline-devel
BuildRequires: gtk+-devel, glib-devel, pango-devel, atk-devel
BuildRequires: curl
BuildRequires: kdelibs
%if %{with_java}
BuildRequires:  java-sun-j2se-sdk
%endif

##################################
# Sources
##################################

# Source from ximian
## ooo-build
%NoSource 0 http://ooo.ximian.com/packages/%{build_release_tag}/ooo-build-%{ooo_build_version}.tar.gz ae2131f2b452f7a3f8d15e2cbd35e53c
## OOO source
%NoSource 1  http://ooo.ximian.com/packages/%{build_release_tag}/%{build_release_tag}.tar.bz2 7b0e155a91bbbd5c1ce301fb9f06cb26
## Icon Set
%NoSource 2 http://ooo.ximian.com/packages/%{ooo_icons_version}.tar.gz be79d3cb5f64d2c0ac8a75e65a59cb09
## libwpd
%NoSource 3 http://ooo.ximian.com/packages/libwpd/libwpd-%{ooo_libwpd_version}.tar.gz 98e59beecc112339bb78654863304c1c

# Source from FC2
Source4: openoffice-png48x48.tar.bz2
Source5: openoffice-gallery-extra.tar.bz2
Source6: openoffice-template-extra.tar.bz2

# ER for Linux (http://www.shirotori.gr.jp/%7Ekatuyou/jaorigin/er.html)
%NoSource 7 http://kyushu-u.dl.sourceforge.jp/openoffice-docj/8181/er4linux%{erversion}.tar.bz2 523a50eeeb6a477c992f55c8818fc558
Source8: er4linux-setup.sh
Source9: ooo-desktops.tgz

# Wordbooks:
#     http://lingucomponent.openoffice.org/spell_dic.html
#     http://lingucomponent.openoffice.org/hyph_dic.html
#     http://lingucomponent.openoffice.org/thes_dic.html
Source10: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/bg_BG.zip
Source11: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/ca_ES.zip
Source12: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/da_DK.zip
Source13: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/de_AT.zip
Source14: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/de_CH.zip
Source15: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/de_DE_comb.zip
Source16: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/el_GR.zip
Source17: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/en_AU.zip
Source18: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/en_CA.zip
Source19: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/en_NZ.zip
Source20: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/es_ES.zip
Source21: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/es_MX.zip
Source22: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/fr_BE.zip
Source23: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/fr_FR.zip
Source24: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hr_HR.zip
Source25: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hu_HU.zip
Source26: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/la.zip
Source27: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/nl_NL.zip
Source28: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/pl_PL.zip
Source29: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/pt_BR.zip
Source30: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/pt_PT.zip
Source31: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/ru_RU.zip
Source32: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/sk_SK.zip
Source33: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/sl_SI.zip
Source34: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/sv_SE.zip
Source35: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/uk_UA.zip
NoSource: 10
NoSource: 11
NoSource: 12
NoSource: 13
NoSource: 14
NoSource: 15
NoSource: 16
NoSource: 17
NoSource: 18
NoSource: 19
NoSource: 20
NoSource: 21
NoSource: 22
NoSource: 23
NoSource: 24
NoSource: 25
NoSource: 26
NoSource: 27
NoSource: 28
NoSource: 29
NoSource: 30
NoSource: 31
NoSource: 32
NoSource: 33
NoSource: 34
NoSource: 35

Source60: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_de_CH.zip
Source61: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_en_CA.zip
Source62: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_es_ES.zip
Source63: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_fr_BE.zip
Source64: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_fr_FR.zip
Source65: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_hu_HU.zip
Source66: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_nl_NL.zip
Source67: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_pl_PL.zip
Source68: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_pt_BR.zip
Source69: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_pt_PT.zip
Source70: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_sk_SK.zip
Source71: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_sl_SI.zip
Source72: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_sv_SE.zip
Source73: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_uk_UA.zip
NoSource: 60
NoSource: 61
NoSource: 62
NoSource: 63
NoSource: 64
NoSource: 65
NoSource: 66
NoSource: 67
NoSource: 68
NoSource: 69
NoSource: 70
NoSource: 71
NoSource: 72
NoSource: 73

Source90: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/thes_de_DE.zip
Source91: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/thes_hu_HU.zip
Source92: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/thes_fr_FR.zip
NoSource: 90
NoSource: 91
NoSource: 92

Source99: additional-dictionaries.txt
Source100: ooo.kdeglobals.sample
Source101: Momonga.conf.in

# Localized help files
# only japanese now :-p
Source1000: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/helpcontent/helpcontent_81_unix.tgz
NoSource: 1000

# modified patches from Japanese Native Language Team (http://ja.openoffice.org)
# http://prdownloads.sourceforge.jp/waooo/9481/OOo_1.1.1p1_source_ja_curvirgo.zip
# These patches must be registered in ooo-build-%{ooo_build_version}/patches/%{build_release_tag}/apply through Patch1
# All pathces must be appliable by "patch -p0 <"
Source10000: OOo-1.1.1p1-patches.ja_NL.tar.gz

# All patching of _sources_ is done through build-ooo scripts
# All patching required to bring ooo-build itself up-to-date is done here
Patch1: ooo-build-1.1.60-momonga.patch
Patch2: ooo-build-1.1.57-unpack_jahelp.patch
# Patch3: ooo-build-1.1.57-ooowrapper-er4linux.patch
# Patch4: ooo-build-1.1.59-ooowrapper-kdeglobals.patch
# Patch12: ooo-build-1.1.60-oooversion.patch
# marge Patch{3,4,12} to Patch5
Patch5: ooo-build-1.3.9-ooowrapper.patch
# additional patchs for Momonga (see patches/OOO_1_1_4/apply)
# All pathces must be appliable by "patch -p0 <"
Patch6: ooo-vendor_momonga.patch
Patch7: ooo-defaultcolor-mdk.patch
Patch8: ooo-gui-font-default-size.diff
## corresponds to Patch4
Patch9: ooo-kdestyle-separate-settings.patch
# hide URL bar
Patch10: er4linux-0.1.1-unvisible-urlbar.patch
# why?
Patch11: ooo-psprint-linkfontconfig.patch
Patch14: ooo-build-1.3.9-distoro.patch
# Security fix
Patch15: ooo-1.1.4_CAN-2005-0941.diff

##################################
# Description
##################################
%description
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.  It includes the key desktop applications,
such as a word processor, spreadsheet, presentation manager, formula
editor and drawing program, with a user interface and feature set
similar to other office suites.  Sophisticated and flexible,
OpenOffice.org also works transparently with a variety of file
formats, including Microsoft Office.

Usage: Simply type "ooffice" to run OpenOffice.org or select the
requested component (Writer, Calc, Draw, Impress, etc.) from your
desktop menu. The ooffice wrapper script will install a few files in
the users home, if necessary.

Note that this release does not support GPC polygon clipping, but
instead uses libart to do the same thing.

The OpenOffice.org team hopes you enjoy working with OpenOffice.org!

%package libs
Summary: OpenOffice.org shared libraries
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description libs
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.  This package includes its shared libraries.
You need to install this to use OpenOffice.org.

%package extradict
Summary: %{name} extra dictionary data
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description extradict
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.  

This package provides spell checker dictionaries for various languages.

##################################
# i18n subpackages
##################################

%package i18n-Portuguese
Summary: Portuguese language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-pt
Obsoletes: %{name}-l10n-pt

%description i18n-Portuguese
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.  

This package provides resources containing menus and dialogs for Portuguese

%package i18n-Russian
Summary: Russian language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-ru
Obsoletes: %{name}-l10n-ru

%description i18n-Russian
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Russian

%package i18n-Greek
Summary: Greek language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-el
Obsoletes: %{name}-l10n-el

%description i18n-Greek
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Greek

%package i18n-Dutch
Summary: Dutch language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-nl
Obsoletes: %{name}-l10n-nl

%description i18n-Dutch
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Dutch

%package i18n-French
Summary: French language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-fr
Provides: %{name}-help-fr
Obsoletes: %{name}-l10n-fr
Obsoletes: %{name}-help-fr

%description i18n-French
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for French

%package i18n-Spanish
Summary: Spanish language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-es
Provides: %{name}-help-es
Obsoletes: %{name}-l10n-es
Obsoletes: %{name}-help-es

%description i18n-Spanish
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Spanish

%package i18n-Finnish
Summary: Finnish language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-fi
Obsoletes: %{name}-l10n-fi

%description i18n-Finnish
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Finnish

%package i18n-Hungarian
Summary: Hungarian language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-hu
Obsoletes: %{name}-l10n-hu

%description i18n-Hungarian
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Hungarian

%package i18n-Catalan
Summary: Catalan language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-ca
Obsoletes: %{name}-l10n-ca

%description i18n-Catalan
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Catalan

%package i18n-Italian
Summary: Italian language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-it
Provides: %{name}-help-it
Obsoletes: %{name}-l10n-it
Obsoletes: %{name}-help-it

%description i18n-Italian
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Italian

%package i18n-Czech
Summary: Czech language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-cs
Obsoletes: %{name}-l10n-cs

%description i18n-Czech
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Czech

%package i18n-Slovak
Summary: Slovak language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-sk
Obsoletes: %{name}-l10n-sk

%description i18n-Slovak
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Slovak

%package i18n-Danish
Summary: Danish language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-da
Obsoletes: %{name}-l10n-da

%description i18n-Danish
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Danish

%package i18n-Swedish
Summary: Swedish language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-sv
Provides: %{name}-help-sv
Obsoletes: %{name}-l10n-sv
Obsoletes: %{name}-help-sv

%description i18n-Swedish
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Swedish

%package i18n-Polish
Summary: Polish language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-pl
Obsoletes: %{name}-l10n-pl

%description i18n-Polish
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Polish

%package i18n-German
Summary: German language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-de
Provides: %{name}-help-de
Obsoletes: %{name}-l10n-de
Obsoletes: %{name}-help-de

%description i18n-German
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for German

%package i18n-Estonian
Summary: Estonian language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-et
Obsoletes: %{name}-l10n-et

%description i18n-Estonian
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Estonian

%package i18n-Slovenian
Summary: Slovenian language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description i18n-Slovenian
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Slovenian

%package i18n-Japanese
Summary: Japanese language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-ja
Provides: %{name}-help-ja
Obsoletes: %{name}-l10n-ja
Obsoletes: %{name}-help-ja

%description i18n-Japanese
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Japanese

%package i18n-Korean
Summary: Korean language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-ko
Provides: %{name}-help-ko
Obsoletes: %{name}-l10n-ko
Obsoletes: %{name}-help-ko

%description i18n-Korean
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Korean

%package i18n-Chinese
Summary: Chinese language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-zh_CN
Provides: %{name}-help-zh_CN
Obsoletes: %{name}-l10n-zh_CN
Obsoletes: %{name}-help-zh_CN

%description i18n-Chinese
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Chinese

%package i18n-Chinese-Big5
Summary: Chinese-Big5 language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-zh_TW
Provides: %{name}-help-zh_TW
Obsoletes: %{name}-l10n-zh_TW
Obsoletes: %{name}-help-zh_TW

%description i18n-Chinese-Big5
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Chinese-Big5

%package i18n-Turkish
Summary: Turkish language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-tr
Obsoletes: %{name}-l10n-tr

%description i18n-Turkish
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Turkish

%package i18n-Arabic
Summary: Arabic language support for openofffice.org
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
Provides: %{name}-l10n-ar
Obsoletes: %{name}-l10n-ar

%description i18n-Arabic
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.

This package provides resources containing menus and dialogs for Arabic

##################################
# Prep/Setup
##################################
%prep

%setup0 -q -n ooo-build-%{ooo_build_version} -a 7

# Add Distro "Momonga" to bin/build-ooo and patches/OOO_1_1_4/apply
%patch1 -p1 -b .momonga
# Add procedure of unpacking a japanese helpcontent to bin/unpack
%patch2 -p1 -b .jahelp 
# Add er4linux-setup to ooo-wrapper
# Add ooo.kdeglobals copying to ooo-wrapper
# Fix version in ooo-wrapper
%patch5 -p1 -b .oow
# hide URL bar
%patch10 -p0 -b .orig
# distoro.conf
%patch14 -p1 -b .orig

# Copy additional patches to patches/OOO_1_1
tar zxf %{SOURCE10000} -C patches/OOO_1_1
cp %{PATCH6}  patches/OOO_1_1
cp %{PATCH7}  patches/OOO_1_1
cp %{PATCH8}  patches/OOO_1_1
cp %{PATCH9}  patches/OOO_1_1
cp %{PATCH11} patches/OOO_1_1
cp %{PATCH15} patches/OOO_1_1

cp %{SOURCE101} distro-configs/

# Copy the sources into the ooo-build directory structure
mkdir -p src
cp %{SOURCE1}    src/
cp %{SOURCE2}    src/
cp %{SOURCE3}    src/
cp %{SOURCE1000} src/

# docs
# ooo-build
mkdir docs.ooo-build
cp {AUTHORS,COPYING,ChangeLog,HACKING,INSTALL,MAINTAINERS,NEWS,README,TODO} docs.ooo-build
cp -R doc docs.ooo-build
# er4linux
mkdir docs.er4linux
cp er4linux/{LICENSE,README,WindowsER_README.txt} docs.er4linux

##################################
# Build
##################################
%build
%{init_xdisplay}
echo "Compiling OpenOffice.org version %{version}"

## Cap at 1 since there is still multi-process build problems
%global _numjobs 1

DESTDIR=%{buildroot}
export DESTDIR
# CCACHE_DIR="${HOME}/.ccache"
# export CCACHE_DIR
export CC=gcc_3_2
export CXX=g++_3_2
libtoolize --ltdl --force --copy
aclocal
autoheader
automake --foreign --add-missing
autoconf
(%configure \
 --with-system-gcc \
 --with-installed-ooo-dirname=%{ooo_install_dir} \
 --with-vendor=Momonga \
 --with-distro=%{DistroName} \
 --with-tag=%{build_release_tag} \
 --with-icons=Ximian \
 --with-ccache-allowed \
 --with-num-cpus=%{_numjobs} \
 %{java_configure_flags}
)
(make)

## build sdk
## HELP!! build fails now...
#(pushd build/OOO_1_1_2/sdk_oo/
#source LinuxIntelEnv.Set.sh
#build
##
## following should be made
##
## build/OOO_1_1_2/sdk_oo/unxlngi4.pro/bin/OpenOffice.org1.1.1_SDK
## build/OOO_1_1_2/sdk_oo/unxlngi4.pro/bin/OpenOffice.org1.1.1_SDK.tar.gz
##
## OpenOffice.org1.1.2_SDK directory should be set as OO_SDK_HOME in building
## thirdparty addons like Scop
##
#popd)

%{kill_xdisplay}

##################################
# Install
##################################
%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{init_xdisplay}

echo "Building RPM for OpenOffice.org version %{version}"

# Pre-install goodness

# Copy our pixmaps into the local build directory so they get found by the packaging script
# Extract 48x48 PNGs for use by GNOME and Nautilus (Nautilus needs pngs under %{_datadir}/pixmaps)
mkdir -p desktop
(cd desktop;  tar fxj %{SOURCE4} )

DESTDIR=%{buildroot}
export DESTDIR
# CCACHE_DIR="${HOME}/.ccache"
# export CCACHE_DIR
(make DESTDIR=$DESTDIR install)

# Install dictionaries, hyphenators, and thesauruses
(cd %{buildroot}%{_libdir}/%{ooo_install_dir}/share/dict/ooo
	for file in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} \
			%{SOURCE14} %{SOURCE15} %{SOURCE16} %{SOURCE17} \
			%{SOURCE18} %{SOURCE19} %{SOURCE20} %{SOURCE21} \
			%{SOURCE22} %{SOURCE23} %{SOURCE24} %{SOURCE25} \
			%{SOURCE26} %{SOURCE27} %{SOURCE28} %{SOURCE29} \
			%{SOURCE30} %{SOURCE31} %{SOURCE32} %{SOURCE33} \
			%{SOURCE34} %{SOURCE35} \
			%{SOURCE60} %{SOURCE61} %{SOURCE62} %{SOURCE63} \
			%{SOURCE64} %{SOURCE65} %{SOURCE66} %{SOURCE67} \
			%{SOURCE68} %{SOURCE69} %{SOURCE70} %{SOURCE71} \
			%{SOURCE72} %{SOURCE73} \
			%{SOURCE90} %{SOURCE91} %{SOURCE92};
		do unzip -o $file;
	done

	cp %{SOURCE99} .
)
# mv dictionary.lst to sysconfigdir
%{__mkdir_p} %{buildroot}%{_sysconfdir}/openoffice/
mv %{buildroot}%{_libdir}/%{ooo_install_dir}/share/dict/ooo/dictionary.lst \
   %{buildroot}%{_sysconfdir}/openoffice/
ln -s %{_sysconfdir}/openoffice/dictionary.lst \
      %{buildroot}%{_libdir}/%{ooo_install_dir}/share/dict/ooo/dictionary.lst

# Add in the regcomp tool since some people need it for 3rd party add-ons
cp -f build/%{build_release_tag}/solver/%{subver}/unxlng*.pro/bin/regcomp \
      %{buildroot}%{_libdir}/%{ooo_install_dir}/program

# OOo should not install the Vera fonts, they are Required: now
rm -rf %{buildroot}%{_libdir}/%{ooo_install_dir}/share/fonts/truetype/*

# Copy fixed OpenSymbol to correct location
mkdir -p %{buildroot}%{_datadir}/fonts/openoffice
cp fonts/opens___.ttf %{buildroot}%{_datadir}/fonts/openoffice

# %%ghost the fonts.cache-1 file
touch %{buildroot}%{_datadir}/fonts/openoffice/fonts.cache-1

# We don't need spadmin or the setup application
rm -f %{buildroot}%{_libdir}/%{ooo_install_dir}/setup
rm -f %{buildroot}%{_libdir}/%{ooo_install_dir}/spadmin
rm -f %{buildroot}%{_libdir}/%{ooo_install_dir}/program/spadmin
rm -f %{buildroot}%{_datadir}/applications/openoffice-setup.desktop
rm -f %{buildroot}%{_datadir}/applications/openoffice-printeradmin.desktop

# Remove some python cruft
rm -rf %{buildroot}%{_libdir}/%{ooo_install_dir}/program/python-core-2.2.2/lib/test

# Remove CDE stuff
rm -rf %{buildroot}%{_libdir}/%{ooo_install_dir}/share/cde

## desktop files (using gnome2 version since it adopts the freedesktop.org standard)
mkdir -p %{buildroot}%{_datadir}/applications

#for i in calc draw impress math web writer
#do
#sed -e "s|%{buildroot}||g" %{buildroot}%{_libdir}/%{ooo_install_dir}/share/gnome/net/ooo%{subver}$i.desktop | sed -e "s|^Exec=.*|Exec=oo$i %U|g" > %{buildroot}%{_datadir}/applications/ooo%{subver}$i.desktop
#done
tar zxf %{SOURCE9} -C %{buildroot}%{_datadir}/applications
rm -rf %{buildroot}%{_datadir}/applnk
rm -rf %{buildroot}%{_datadir}/gnome
rm -rf %{buildroot}%{_libdir}/%{ooo_install_dir}/share/kde
rm -rf %{buildroot}%{_libdir}/%{ooo_install_dir}/share/gnome
rm -rf %{buildroot}%{_libdir}/%{ooo_install_dir}/share/cde

# Freetype creeps in somehow
rm -f %{_libdir}/%{ooo_install_dir}/program/filter/libfreetype.so*

rm -f %{buildroot}%{_libdir}/%{ooo_install_dir}/program/sopatchlevel.sh
perl -pi -e 's/^[ 	]*LD_LIBRARY_PATH/# LD_LIBRARY_PATH/;s/export LD_LIBRARY_PATH/# export LD_LIBRARY_PATH/' \
  %{buildroot}%{_libdir}/%{ooo_install_dir}/program/setup

# Remove setup log
rm -f %{buildroot}%{_libdir}/%{ooo_install_dir}/program/setup.log

# Remove copied system libraries
rm -f %{buildroot}%{_libdir}/%{ooo_install_dir}/program/libgcc_s.so* \
      %{buildroot}%{_libdir}/%{ooo_install_dir}/program/libstdc++*so*

# Install new template and gallery content (from FC2)
mkdir -p %{buildroot}%{_libdir}/%{ooo_install_dir}/share/template
mkdir -p %{buildroot}%{_libdir}/%{ooo_install_dir}/share/gallery
(cd %{buildroot}%{_libdir}/%{ooo_install_dir}/share;
  tar fxj %{SOURCE5}
  tar fxj %{SOURCE6}
)

# Included helps are en and ja now...so remove empty dirs
rm -rf %{buildroot}%{_libdir}/%{ooo_install_dir}/help/{ar,cs,da,de,el,es,et,fi,fr,hu,it,ko,nl,pl,pt,ru,sl,sk,sv,tr,zh-CN,zh-TW}

# empty dirs
rm -rf %{buildroot}/usr/man

# Install contents of er4linux ("-net" part)
cp -f er4linux/data/share/gallery/* %{buildroot}%{_libdir}/%{ooo_install_dir}/share/gallery/
mkdir -p %{buildroot}%{_libdir}/%{ooo_install_dir}/share/samples/japanese
cp -r er4linux/data/share/samples/japanese/* %{buildroot}%{_libdir}/%{ooo_install_dir}/share/samples/japanese

# fix some filename
mv %{buildroot}%{_libdir}/%{ooo_install_dir}/share/samples/japanese/Danny\'s\ Draw\ PowerTools %{buildroot}%{_libdir}/%{ooo_install_dir}/share/samples/japanese/Dannys_Draw_PowerTools
mv %{buildroot}%{_libdir}/%{ooo_install_dir}/share/samples/japanese/Dannys_Draw_PowerTools/Danny\'s\ Draw\ PowerTools.sxd %{buildroot}%{_libdir}/%{ooo_install_dir}/share/samples/japanese/Dannys_Draw_PowerTools/Dannys_Draw_PowerTools.sxd
#'
# Install contents for userinstall
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -Rf er4linux %{buildroot}%{_datadir}/%{name}
# Install setup script
install -m 755 %{SOURCE8} %{buildroot}%{_libdir}/%{ooo_install_dir}/program/er4linux-setup

# Install kdeglobals for OOo
install -m 644 %{SOURCE100} %{buildroot}%{_libdir}/%{ooo_install_dir}/share/config/

# File lists are necessary for language packs
FILELIST=$PWD/filelist
rm -rf filelist*
find %{buildroot}%{_libdir}/%{ooo_install_dir} "(" -type f -or -type l ")" -print | \
  sed -e "s|%{buildroot}||g" > $FILELIST

DIRLIST=$PWD/dirlist
rm -rf dirlist*
find %{buildroot}%{_libdir}/%{ooo_install_dir} -type d -print |
  sed -e "s|%{buildroot}||g" | sed -e "s|^|%dir |" | sort -u > $DIRLIST

# all directories except japanese help are included in main
mv -f $DIRLIST $DIRLIST.tmp
grep -v '%{_libdir}/%{ooo_install_dir}/help/ja' $DIRLIST.tmp > $DIRLIST
grep  '%{_libdir}/%{ooo_install_dir}/help/ja' $DIRLIST.tmp > $DIRLIST.i18n.Japanese
rm -rf $DIRLIST.tmp

# Now split the package up into openoffice, openoffice-libs and openoffice-i18n
grep '%{_libdir}/%{ooo_install_dir}/program/lib.*so.*' $FILELIST > $FILELIST.libs
grep '%{_libdir}/%{ooo_install_dir}/program/.*\.uno\.so' $FILELIST >> $FILELIST.libs
grep '%{_libdir}/%{ooo_install_dir}/\(program/resource\|share/dict/ooo\)' $FILELIST > $FILELIST.i18n
mv -f $FILELIST $FILELIST.tmp
grep -v '%{_libdir}/%{ooo_install_dir}/\(program/\(lib.*so.*\|.*\.uno\.so\|resource\)\|share/dict/ooo\)' \
  $FILELIST.tmp > $FILELIST
rm -f $FILELIST.tmp

# more split the i18n-package into pieces
grep '01.res$' $FILELIST.i18n > $FILELIST.i18n.en
grep '03.res$' $FILELIST.i18n > $FILELIST.i18n.Portuguese
grep '07.res$' $FILELIST.i18n > $FILELIST.i18n.Russian
grep '30.res$' $FILELIST.i18n > $FILELIST.i18n.Greek
grep '31.res$' $FILELIST.i18n > $FILELIST.i18n.Dutch
grep '33.res$' $FILELIST.i18n > $FILELIST.i18n.French
grep '34.res$' $FILELIST.i18n > $FILELIST.i18n.Spanish
grep '35.res$' $FILELIST.i18n > $FILELIST.i18n.Finnish
grep '36.res$' $FILELIST.i18n > $FILELIST.i18n.Hungarian
grep '37.res$' $FILELIST.i18n > $FILELIST.i18n.Catalan
grep '39.res$' $FILELIST.i18n > $FILELIST.i18n.Italian
grep '42.res$' $FILELIST.i18n > $FILELIST.i18n.Czech
grep '43.res$' $FILELIST.i18n > $FILELIST.i18n.Slovak
grep '45.res$' $FILELIST.i18n > $FILELIST.i18n.Danish
grep '46.res$' $FILELIST.i18n > $FILELIST.i18n.Swedish
grep '48.res$' $FILELIST.i18n > $FILELIST.i18n.Polish
grep '49.res$' $FILELIST.i18n > $FILELIST.i18n.German
grep '50.res$' $FILELIST.i18n > $FILELIST.i18n.Slovenian
grep '77.res$' $FILELIST.i18n > $FILELIST.i18n.Estonian
grep '81.res$' $FILELIST.i18n > $FILELIST.i18n.Japanese
grep '82.res$' $FILELIST.i18n > $FILELIST.i18n.Korean
grep '86.res$' $FILELIST.i18n > $FILELIST.i18n.Chinese
grep '88.res$' $FILELIST.i18n > $FILELIST.i18n.Chinese-Big5
grep '90.res$' $FILELIST.i18n > $FILELIST.i18n.Turkish
grep '96.res$' $FILELIST.i18n > $FILELIST.i18n.Arabic

# English resource is moved to main
cat $FILELIST.i18n.en >> $FILELIST

# Japanese helpcontent is moved to i18n-Japanese
mv -f $FILELIST $FILELIST.tmp
grep '%{_libdir}/%{ooo_install_dir}/help/ja' $FILELIST.tmp >> $FILELIST.i18n.Japanese
grep -v '%{_libdir}/%{ooo_install_dir}/help/ja' $FILELIST.tmp > $FILELIST
rm -rf $FILELIST.tmp

# Filelist for dictionary data
find %{buildroot}%{_libdir}/%{ooo_install_dir}/share/dict/ooo "(" -type f -or -type l ")" -print | \
  sed -e "s|%{buildroot}||g" > $FILELIST.dict
mv -f $FILELIST.dict $FILELIST.dict.tmp

# Split extra dictionary data to subpackages
grep -v  '%{_libdir}/%{ooo_install_dir}/share/dict/ooo/.*\(en_GB\|en_US\|ru_RU\|de_DE\|it_IT\|da_DK\|dictionary.lst\).*' $FILELIST.dict.tmp > $FILELIST.dict

# Since these are included in a main source, they are moved to main
grep  '%{_libdir}/%{ooo_install_dir}/share/dict/ooo/.*\(en_GB\|en_US\|ru_RU\|de_DE\|it_IT\|da_DK\|dictionary.lst\).*' $FILELIST.dict.tmp >> $FILELIST
rm -rf $FILELIST.dict.tmp

# finalize
cat $DIRLIST >> $FILELIST
cat $DIRLIST.i18n.Japanese >> $FILELIST.i18n.Japanese

# provides, requires
for i in provides requires; do
  cat > find_$i.sh <<EOF
#!/bin/sh
/usr/lib/rpm/find-$i | grep -v 'lib\(mork\|mozldap\|necko\|pref\|profile\|rdf\|strres\|uconv\|ucv[a-z0-9]*\|unicharutil\|uriloader\|vcard\|xpconnect\|xpcom\|nspr4\|plc4\|plds4\|mozjs\)\.so'
EOF
  chmod +x find_$i.sh
done

# Make shared libraries executable so we can pull debuginfo from them
chmod +wx %{buildroot}%{_libdir}/%{ooo_install_dir}/program/*so*
chmod +wx %{buildroot}%{_libdir}/%{ooo_install_dir}/program/filter/*so*
chmod +w  %{buildroot}%{_libdir}/%{ooo_install_dir}/program/*.bin
chmod +w  %{buildroot}%{_libdir}/%{ooo_install_dir}/program/regcomp \
          %{buildroot}%{_libdir}/%{ooo_install_dir}/program/pagein \
          %{buildroot}%{_libdir}/%{ooo_install_dir}/program/ooovirg

#         %{buildroot}%{_libdir}/%{ooo_install_dir}/program/gnomeint
#         %{buildroot}%{_libdir}/%{ooo_install_dir}/program/getstyle-gnome
#         %{buildroot}%{_libdir}/%{ooo_install_dir}/program/msgbox-gnome

# Link resource.default resource
(
 cd %{buildroot}%{_libdir}/%{ooo_install_dir}/program/
 ln -s resource resource.default
)

# autoresponse.conf
cp -f etc/autoresponse.conf %{buildroot}%{_sysconfdir}/openoffice/autoresponse.conf

# for docdir
rm -rf docs.openoffice.org
mkdir docs.openoffice.org
cp -f %{buildroot}%{_libdir}/%{ooo_install_dir}/{LICENSE,LICENSE.html,README.html,THIRDPARTYLICENSEREADME.html} docs.openoffice.org

%{kill_xdisplay}

# add write permission in order to strip executables.
for f in "%{buildroot}%{_libdir}/%{ooo_install_dir}/program/"*; do
  if [ -x "$f" -a ! -w "$f" ]; then
    %{__chmod} -f u+w "$f"
  fi
done


##################################
# Post-install
##################################
%post
fc-cache %{_datadir}/fonts
update-desktop-database %{_datadir}/applications

%post extradict
if [ "$1" = "1" ]; then
    cat %{_libdir}/%{ooo_install_dir}/share/dict/ooo/additional-dictionaries.txt >> %{_sysconfdir}/openoffice/dictionary.lst
fi

##################################
# Post-Uninstall
##################################
%postun
if [ "$1" = "0" ]; then
    fc-cache %{_datadir}/fonts
fi
update-desktop-database %{_datadir}/applications

%postun extradict
if [ "$1" = "0" ]; then
    mv %{_sysconfdir}/openoffice/dictionary.lst \
       %{_sysconfdir}/openoffice/dictionary.lst.tmp
    grep '\(^#\|en_GB\|en_US\|ru_RU\|de_DE\|it_IT\|da_DK\)' %{_sysconfdir}/openoffice/dictionary.lst.tmp > %{_sysconfdir}/openoffice/dictionary.lst
    rm -rf %{_sysconfdir}/openoffice/dictionary.lst.tmp
fi


##################################
# Clean
##################################
%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}


##################################
# Files
##################################
%files -f filelist
%defattr(-,root,root)
%doc docs.ooo-build
%doc docs.openoffice.org
%doc docs.er4linux
# maybe useful information
%doc patches/OOO_1_1_4/apply
%doc bin/setup
# wrappers
%{_bindir}/ooffice
%{_bindir}/oocalc
%{_bindir}/oodraw
%{_bindir}/ooimpress
%{_bindir}/oomath
%{_bindir}/oowriter
%{_bindir}/oohtml
%{_bindir}/ooo-wrapper
%{_sbindir}/oojvmsetup
%{_sbindir}/oopadmin
# configs
%dir %{_sysconfdir}/openoffice/
%config %{_sysconfdir}/openoffice/autorespons*.conf
%config %{_sysconfdir}/openoffice/dictionary.lst
# data (er4linux)
%{_datadir}/%{name}
# applnk files
%{_datadir}/applications/*
# man file
%{_mandir}/man1/*
# mimelnk files
## %{_datadir}/mimelnk/*/*
# icon files
%{_datadir}/pixmaps/*
## %{_datadir}/icons/*/*/*
# fonts
%dir %{_datadir}/fonts/openoffice
%{_datadir}/fonts/openoffice/*.ttf
%ghost %{_datadir}/fonts/openoffice/fonts.cache-1

%files libs -f filelist.libs
%defattr(-,root,root)
%dir %{_libdir}/%{ooo_install_dir}
%dir %{_libdir}/%{ooo_install_dir}/program
%{_libdir}/%{ooo_install_dir}/program/resource.default

%files extradict -f filelist.dict
%defattr(-,root,root)

#%files i18n -f filelist.i18n
#%defattr(-,root,root)
#%dir %{_libdir}/%{ooo_install_dir}
#%dir %{_libdir}/%{ooo_install_dir}/program
#%dir %{_libdir}/%{ooo_install_dir}/user

%files i18n-Portuguese -f filelist.i18n.Portuguese
%defattr(-,root,root)

%files i18n-Russian -f filelist.i18n.Russian
%defattr(-,root,root)

%files i18n-Greek -f filelist.i18n.Greek
%defattr(-,root,root)

%files i18n-Dutch -f filelist.i18n.Dutch
%defattr(-,root,root)

%files i18n-French -f filelist.i18n.French
%defattr(-,root,root)

%files i18n-Spanish -f filelist.i18n.Spanish
%defattr(-,root,root)

%files i18n-Finnish -f filelist.i18n.Finnish
%defattr(-,root,root)

%files i18n-Hungarian -f filelist.i18n.Hungarian
%defattr(-,root,root)

%files i18n-Catalan -f filelist.i18n.Catalan
%defattr(-,root,root)

%files i18n-Italian -f filelist.i18n.Italian
%defattr(-,root,root)

%files i18n-Czech -f filelist.i18n.Czech
%defattr(-,root,root)

%files i18n-Slovak -f filelist.i18n.Slovak
%defattr(-,root,root)

%files i18n-Danish -f filelist.i18n.Danish
%defattr(-,root,root)

%files i18n-Swedish -f filelist.i18n.Swedish
%defattr(-,root,root)

%files i18n-Polish -f filelist.i18n.Polish
%defattr(-,root,root)

%files i18n-German -f filelist.i18n.German
%defattr(-,root,root)

%files i18n-Slovenian -f filelist.i18n.Slovenian
%defattr(-,root,root)

%files i18n-Estonian -f filelist.i18n.Estonian
%defattr(-,root,root)

%files i18n-Japanese -f filelist.i18n.Japanese
%defattr(-,root,root)

%files i18n-Korean -f filelist.i18n.Korean
%defattr(-,root,root)

%files i18n-Chinese -f filelist.i18n.Chinese
%defattr(-,root,root)

%files i18n-Chinese-Big5 -f filelist.i18n.Chinese-Big5
%defattr(-,root,root)

%files i18n-Turkish -f filelist.i18n.Turkish
%defattr(-,root,root)

%files i18n-Arabic -f filelist.i18n.Arabic
%defattr(-,root,root)

##################################
# Changelog
##################################
%changelog
* Wed Apr 20 2005 mutecat <mutecat@momonga-linux.org>
- (1.1.4-2m)
- fix ppc i18n

* Sat Apr 16 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.4-1m)
- update to OpenOffice.org version 1.1.4
- [SECURITY] fixed DOC document Heap Overflow, CAN-2005-0941

* Mon Apr  5 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.1.2-6m)
- update SOURCE9(ooo-desktops.tgz)
- added mimetype declaration to desktop files.

* Sat Feb 26 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.2-5m)
- added write permission in order to strip executables.

* Mon Feb 14 2005 mutecat <mutecat@momonga-linux.org>
- (1.1.2-4m)
- arrange ppc i18n

* Sun Nov 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.2-3m)
- change BuildRequires: xorg-x11-Xvfb

* Wed Sep  8 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1.2-2m)
- use gcc3.2 since gcc-3.4 fails to build

* Wed Jun 30 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.2-1m)
- update to OpenOffice.org version 1.1.2 
- ooo-build-1.1.60 and OOO_1_1_2 source from ooo.ximian.com
- add %%patch11 to ensure to link fontconfig building psprint 
- add %%patch12 for correct version number 1.1.2 in configures and wrappers

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.1-3m)
- rebuild against db4.2

* Mon Jun 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.1-2m)
- fix %%install so that language packs contain true corresponding contents (BugID 42: Thanks to Mr. Ichiro Nakai)

* Mon Jun 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.1-1m)
- update to OpenOffice.Org version 1.1.1
- switch to ooo-build (version 1.1.59) from Ximian (see http://ooo.ximian.com/)
- - rewrite specfile completely based on FC2 package (openoffice.org-1.1.1-4.src.rpm)
- - add Vendor "Momonga" and corrensponding procedures (%%Patch1)
- - use Ximian icon set
- - user installation dir is changed to ~/.xopenoffice1.1
- - ommit cups support patch (psprint-cups.diff seems to make kinput2 unusable)
- - not adopt gnome-integration patches (it intdroduce many annoying dependencies)
- - revise to use ~/.xopenoffice1.1/ooo.kdeglobals when WM is KDE
- - - to enable to fetch some settings independent of ~/.kde/share/kdeglobals
- - - it can be symlnk to ~/.kde/share/kdeglobals and that is default
- import some patches (%%Source10000) which is used by Japanese N-L team(http://ja.openoffice.org/)
- - modified for ooo-build
- build japanese helpcontent (%%Patch2), (help is now english and japanese only)
- import "ER for Linux" (http://openoffice-docj.sf.jp/) and revise ooo-wrapper (%%Patch3)
- set _numjobs to 1 since there is multi-process build problems
- Notice: java enabled build (with_java 1) is not tested
- TODO (HELP!!)
- - fix building SDK (failed in make checkflags); It needs JAVA??
- - build Scop (http://www.3bit.co.jp/scop/); this needs SDK
- - Font Antialiasing for Kochi (Why embeded bitmaps are used???)
- - cups support and kinput2 (What is wrong with psprint-cups.diff??)

* Sat May 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.1-0m)
- test builds for the import ximian.ooo to Momonga Linux
- Old changelogs of FC2 openoffice.org-1.1.1-4.src.rpm are as follows
- -
- * Wed Apr 21 2004 Dan Williams <dcbw@redhat.com> 1.1.1-4
- - First cut of Bluecurve Icons
- - Use gnome-open for helper application (launching URLs and mailto:)
-      (#121291)
- - Use CVS snapshot of ooo-build (2004-04-21, 1.1.53pre)
- 
- * Fri Apr 16 2004 Dan Williams <dcbw@redhat.com> 1.1.1-3
- - Fix silly specfile issue preventing PPC builds (Dave Woodhouse, #121182)
- - Add a slew of dictionaries, hyphenators, and thesauruses (#108720)
- 
- * Tue Apr 06 2004 Dan Williams <dcbw@redhat.com> 1.1.1-2
- - Fix annoying dialogs on execution of Autopilots
- - Bring Tools->Word Count item back (patch was being misapplied)
- 
- * Wed Mar 31 2004 Dan Williams <dcbw@redhat.com> 1.1.1-1
- - Bump version to 1.1.1
- - Fedora doesn't depend on Mozilla either
- 
- * Thu Mar 18 2004 Dan Williams <dcbw@redhat.com> 1.1.0-32
- - Removed hard coded dependancy on "XFree86", and removed the unnecessary
-   BuildRequires: XFree86-libs as the XFree86-devel dep is all that is needed
-   because it will ensure the libs are installed itself.  These changes are
-   required in order to make the distribution X11 implementation agnostic so
-   we can switch to xorg-x11.  (#118441)  <mharris>
- - s/Requires: fontconfig/Requires(post,postun): fontconfig/  <mharris>
- - Really really make splash & about screens work
- 
- * Mon Mar 15 2004 Dan Williams <dcbw@redhat.com> 1.1.0-31
- - Really make spalshscreens work this time
- 
- * Fri Mar 12 2004 Dan Williams <dcbw@redhat.com> 1.1.0-30
- - Add Red Hat splash & about screens
- - Add gnome-vfs2-devel to BuildRequires, remove duplicate 
-     libgnomecups-devel BuildRequires
- - Fix RH #117440, sanity check TTF 'name' table strings before
-     using them
- 
- * Tue Mar  2 2004 Dan Williams <dcbw@redhat.com> 1.1.0-29
- - Update to ooo-build 1.1.51 and ooo-icons-OO_1_1-8
- - Activate multi-process builds on > 2-way machines
- 
- * Thu Feb 19 2004 Dan Williams <dcbw@redhat.com> 1.1.0-28
- - Flip symbol generation to do full symbols, enabling
-     much more useful debuginfo RPMs
- 
- * Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- - rebuilt
- 
- * Mon Feb  9 2004 Dan Williams <dcbw@redhat.com> 1.1.0-27
- - Don't install spadmin .desktop file since spadmin isn't shipped
- - Remove some python cruft
- - Don't use blocking lockf() when locking ~/.recently-used
- 
- * Wed Feb  4 2004 Dan Williams <dcbw@redhat.com> 1.1.0-26
- - Add libgnomecups to BuildRequires
- 
- * Mon Feb  2 2004 Dan Williams <dcbw@redhat.com> 1.1.0-25
- - Fix up font locations and use correct opensymbol font
- 
- * Wed Jan 28 2004 Dan Williams <dcbw@redhat.com> 1.1.0-24
- - Fix UI font for non Western locales (RH #114357)
- 
- * Thu Jan 22 2004 Dan Williams <dcbw@redhat.com> 1.1.0-23
- - Fix menu highlight/selected colors again (RH #113991)
- - Enable all languages
- 
- * Wed Jan 21 2004 Dan Williams <dcbw@redhat.com> 1.1.0-22
- - Fix menu highlight/selected colors (RH #113991)
- 
- * Tue Jan 20 2004 Dan Williams <dcbw@redhat.com> 1.1.0-21
- - Correct installed location in wrapper script
- 
- * Mon Jan 19 2004 Dan Williams <dcbw@redhat.com> 1.1.0-20
- - Switch to gnome.org common infrastructure OpenOffice.org builds
- 
- * Thu Dec  11 2003 Dan Williams <dcbw@redhat.com> 1.1.0-10
- - Use configimport.bin to replace nasty 'sed' stuff in wrapper script
- - Switch back to soffice1.bin
- - Fix "perpetual re-install" problem with wrapper script (due to empty
-     ~/.sversionrc file)
- 
- * Sat Dec 06 2003 Dan Williams <dcbw@redhat.com> 1.1.0-9
- - Fix building on single processor systems.  Ooops.
- 
- * Wed Nov  26 2003 Dan Williams <dcbw@redhat.com> 1.1.0-8
- - Disable building of Mozilla AB integration on Shrike since the system
-     mozilla was built with gcc 2.96 and we build with gcc 3.2
- - Add Java-enable switches to allow building a Java-enabled version
- - Add libart_lgpl-devel to BuildRequires, allow versions lower than 2.3.13
- - Make splash screen not annoying
- - Switch to more prelink-optimized soffice2.bin
- 
- * Wed Nov  26 2003 Dan Williams <dcbw@redhat.com> 1.1.0-7
- - 1.1.0-7 was internal-only test build getting RHEL3 and RH9 support
-     working
- 
- * Mon Nov  3 2003 Dan Williams <dcbw@redhat.com> 1.1.0-6
- - Tweak default fonts some more (#108812)
- 
- * Fri Oct 31 2003 Dan Williams <dcbw@redhat.com> 1.1.0-5
- - Update default fonts, change Central/Eastern Europe to Nimbus from Luxi
- - Remove fonts not shipped with the OS from the Font menu
- 
- * Tue Oct 28 2003 Dan Williams <dcbw@redhat.com> 1.1.0-4
- - Make OpenOffice.org more prelink-friendly, ie. when prelinked
-   it ought to start up faster (Jakub Jelinek)
- - Bypass soffice script, handle the necessary things already
-   in ooffice script (Jakub Jelinek)
- - Make getstyle-gnome and msgbox-gnome binaries prelinkable (Jakub Jelinek)
- - Speed up the build by not packing all binaries and libraries
-   18 times (and also require way less diskspace for the build) (Jakub Jelinek)
- - Fix .desktop file stuff
- - Fix slightly broken 1.0.2 upgrade process
- - Enable parallel building for > 1 processor machines
- 
- * Fri Oct  17 2003 Dan Williams <dcbw@redhat.com> 1.1.0-3
- - Adjust UI font for different languages
- - Remove oosetup
- - Allow for RH 9 building (not quite working yet)
- - Fix .desktop files location in menus
- - Add libart_lgpl to Requirements, remove Startup Notification for RH9
- - Massively clean up ooffice launcher script, upgrades cleaner
- - Remove Mozilla zipfiles from OOo sources to reduce bloat
- - Use system BerekelyDB rather than builtin one (requires a
-     berkeleydb built _without_ -nostdlib, ie >= 4.1.25-11
-     or most v 4.0)
- - Remove "registration" dialog on startup
- - Patch in font antialias size rather than set on launch
- - Add regcomp tool to final package
- - Don't build ICU libs as DT_TEXTREL
- - Require GCC 3.2.2 now, rather than 3.3
- - Switch on symbols and make debuginfo RPMs work
- 
- * Tue Oct  7 2003 Jeremy Katz <katzj@redhat.com> 1.1.0-2
- - add obsoletes to subpackages
- 
- * Mon Oct 03 2003 Dan Williams <dcbw@redhat.com> 1.1.0-1
- - Initial Release of 1.1.0 rpms

* Thu May 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.0-7m)
- apply neon-fix-CVE-CAN-2004-0389.patch

* Wed Apr 21 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.0-6m)
- export DISPLAY=:$XDISPLAY

* Wed Apr  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.0-5m)
- use Xvfb for build

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.0-4m)
- revised spec for rpm 4.2.

* Wed Oct 29 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.0-3m)
- not launch a virtual framebuffer X server (use DISPLAY.PLEASE)
- revise %%files (not make %%files sections dinamically)
- use %%patch11(openoffice-1.1-disable-python.patch) not to install 
  python-2.2.2 stuff and modified %%patch212 to avoid rejection
- --enable-libart when --without-gpc

* Mon Oct 27 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1.0-2m)
- append symlink
  (oofax, oolabel, ooletter, oomaster, oomemo,
   ooprinteradmin, oovcard, ooweb)
- modify openoffice-wrapper.pl
  (for new symlinks)
- append some desktop files in %%files.
  (for ooprinteradmin ooweb)

* Fri Oct 24 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.0-1m)
- first import to Momonga
- adopted a prototype package OpenOffice.org-1.1.0-4m [devel.ja:02206] and
  renamed it to openoffice.org like RedHat package (revise %%{SOURCE13})
- the prototype package was based on OpenOffice.org-1.1.0-0.rc4.2mdk
  of Mandrake Cooker
- a changelog of the prototype package were as follows
  -
  - * Thu Oct 23 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1.0-4m)
  - - disabled gpc by default (%%define enable_gpc 0)
  -   - gpc is released under non-free license.
  -     They said "This software is free for non-commercial use."(see gpc231/gpc.c)
  -   - To build enabling gpc, change the value of enable_gpc to 1 in this spec
  -     file or /etc/rpm/specopt/OpenOffice.org.specopt
  -   - remove dependencies on perl-MDK-Common
  -   - %%{SOURCE5},%%{SOURCE6},%%{SOURCE7},%%{SOURCE14},%%{SOURCE16} and
  -     this spec file are revised
  -   - sub routines used by scripts are copied from files in perl-MDK-Common
  -     and inserted in each files
  -  -  add BuildRequires: mozilla, mozilla-devel (really needed?)
  -  -  not make Russian, Finnish, Czeck, Slovak localized help files now, because
  -     the sources for these are not available on ftp sites and including these
  -     files makes nosrc.rpm very big...
  -
  - * Wed Oct 15 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1.0-3m)
  - - disabled java by default (%%define enable_java 0)
  -   - To build with java, change the value of enable_java to 1 in this spec
  -     file or /etc/rpm/specopt/OpenOffice.org.specopt and Install
  -     java-sun-j2se-sdk
  -   - Import debian patches (%%patch201-219) from rawhide
  -     (openoffice.org-1.1.0-2.src.rpm)
  -   - modified %%patch209 to avoid conflicting with %%patch26
  -   - not need %%patch201 because we use systemdb by %%patch400
  -   - add prefix to debian patches
  - - rename %%patch601 to openoffice-1.1-fixes-odk.patch
  - - bunzip all patches from Mandrake
  -
  - * Fri Oct 10 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1.0-2m)
  - - add Requires: perl-MDK-Common
  -
  - * Thu Oct  9 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1.0-1m)
  - - second test build for Momonga
  - - sync with OpenOffice.org-1.1-0.rc4.2mdk at Mandrake Cooker
  - - revise %%patch37 for 1.1.0 source
  - - not patching %%patch11
  - - build fails with fakejdk of original spec file, so use java-sun-j2se-sdk now..- notice that we need make symbolic link before build, otherwise build fails
  -   - # ln -s /usr/share/java/db.jar /usr/share/java/db-4.0.jar
  -   - maybe we shold revise db4-java...
  - - not install mandrake specific menus.
  -
  - * Sun Oct  5 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1-0.rc3.1m)
  - - first test build for Momonga
  - - modified OpenOffice.org-1.1-0.rc3.2mdk.src.rpm from Mandrake Cooker
  - - add %%patch601

* Mon Sep 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.rc4.2mdk
- Really enable fixed Patch102 (bmp32)
- Patch40: Make font substitution algorithm match documentation (IZ #19591)
- Updates to wrapper script:
  - Really use localized instdb.ins files for installation
  - Reactivate font substitutions for now otherwise Japanese & Korean
    help content is broken. This concerns (Andale Sans UI, Albany, Arial)

* Fri Sep 12 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.rc4.1mdk
- 1.1rc4
- Nuke mutation of instdb.ins since it confuses updates and is now useless
- Refine selection of MySpell packages to install along with -l10n- packages
- Add Slovak help files, update Czech files to 1.1rc4 from OOo-cs project
- Make extra psprint filters work again
- Make sure we only handle 32-bit bmp images and don't default to that
  format. Otherwise, we need to always copy/transform things around
  and this slows UI down terribly
- Make doc defaults configurable through DOC_DEFAULTS variable in
  /etc/openoffice/openoffice.conf or ~/.oofficerc. i.e. set it to "MS"
  (default) for .doc formats or any other (e.g. "NATIVE") for OOo
- Revert to use Nimbus Roman No9L as default font for text since Vera
  Serif doesn't have any oblique face yet
- Add more "Word count" translations (thanks Pablo, Giuseppe)
- Patch11: Don't install python-2.2 stuff for now
- Patch31: Update to make $HOME/Documents default only if it exists
- Merge in more Ximian patches:
  - Patch101: Conditionalize use of MS defaults (default)
  - Patch106: Startup notification fixes (IZ #18970)
- Updates to wrapper script:
  - Try hard to update user install base even through different language
  - Always default to one installed language set, preferably matching
    the current locale

* Mon Sep  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.rc3.2mdk
- Merge in some Ximian patches:
  - Patch100: Add word count feature under Tools/Hyphenation item
  - Patch101: Default to .doc for text documents
  - Patch102: Add support for 32-bit bitmaps and icons
  - Patch103: Correct typo in Options->HTML compatibility for sv (IZ #16437)
  - Patch104: Export 'no color' background to doc (IZ #18671)
  - Patch105: Don't continually beep annoyingly (IZ #18440)

* Fri Aug 22 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.rc3.1mdk
- 1.1rc3
- Default compiler is now any gcc >= 3.2 (thusly MDK >= 9.0)
- Use built-in Mozilla address book libraries
- Add localized UI strings for: Portugu$BsT(B do Brasil
- Temporarily remove localized help files for: Spanish, Finnish, Czech
- Try to fix encodings of localized menu File/New entries
- Don't install (unlocalized) readme & license files to user dir
- Patch11: Don't build crashdump reporter
- Patch30: Fix broken inclusions of STL headers
- Patch31: Make $HOME/Documents the work directory
- Patch32: Look for additional templates in <ooo>share/templates/extra/
- Patch33: Don't export crazy symbols from svunzip (IZ #17841)
- Patch34: Remove unneeded sched_yield calls (IZ #9277)
- Patch35: MySpell dictionaries are shared in /usr/share/dict/ooo
- Patch36: Enable automatic spellchecking by default
- Patch37: Use better default fonts available in the distribution
- Patch38: Fix crash in ExtendedFontStruct::HasUnicodeChar()
- Patch39: Disable KDE screensaver during presentations
- Patch405: Use system Vera fonts
- Deprecate UI_FONT & FONT_SCALING in openoffice.conf and don't handle
  them any longer (should be handled automatically with new font
  substitution facilities)
- Updates to wrapper script:
  - Handle CTL layouts (Arabic)
  - SAL_FONTPATH_USER is gone, SAL_FONTPATH should still work though
  - Only merge in new configuration data if we are switching locales
  - Attempt to update an existing installation and let OOo merge user
    *.xml files to new *xcu
  - Drop XML::Twig parser as configuration files format is now
    overkill to handle. Better user configimport tool to merge in new
    config bits

* Mon May 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.beta2.1mdk
- 1.1 beta 2

* Tue Apr 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-2mdk
- Patch0: Fix vcl printer code that may have caused a crash (1.0.3.1)
- Patch29: Update to add a generic PostScript distillable output (Giuseppe)
- Patch50: Reintroduce soffice.sh fix, it got mis-integrated upstream
- Patch53: Install OOo Impress templates
- Introduce UI_LANG variable to /etc/openoffice/openoffice.conf or
  ~/.oofficerc in order to force a specific language for the user or
  system wide. This helps if you have a mismatch between the system
  locale (which the ooffice script uses) and what you actually have
  installed as OOo-l10n-* package

* Wed Apr  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-1mdk
- BuildRequires: xpm-devel for nas library build
- Rework Patch400 (system-db) to fit libdb4.0 and lib64 on MDK >= 9.2
- Use zh_{CN,TW} instead of zh-{CN,TW} in package names so that
  rpmsrate can auto-expands the filelist
- Patch599: Colateral, induced by previous 64-bit patches on 32-bit arches
- Patch49: Enable user to set priorities among embedded bitmaps,
  auto-hinting and anti-aliasing. Backport from OOo 1.1. Variables are
  SAL_EMBEDDED_BITMAP_PRIORITY, SAL_ANTIALIASED_TEXT_PRIORITY,
  SAL_AUTOHINTING_PRIORITY to be set with numerical values. Defaults
  are 2/1/1, respectively. i.e. preferring embedded bitmaps first.
  <http://gsl.openoffice.org/servlets/ReadMsg?msgId=490464&listName=features>

* Mon Mar 10 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-7mdk
- Patch1: Ignore Xerrors from XSetInputFocus() for now (IZ #10779)
- Patch25: Update to handle Kerkis as default font for Greek. Also add
  better/available candidates for Asian locales
- Patch44: Update to get correct condition for PPDKey::eraseValue()
- Patch45: Update to immediately cache the PPD file to user's psprint
- Patch46: Handle SAL_DEBUGGER in soffice script
- Patch47: Make soffice script handle chdir to dirs denoted relatively
- Patch48: Always enable antialiasing if the font is antialias capable
- Patch109: Update to really enable Slovak localization
- Patch405: Update to match current CVS sources
- Fix localized help/err.html mutation, only special case for Finnish
- Updates to wrapper script:
  - Handle CJK locales configuration better
  - Handle new --debug(ger) and --help options
  - Handle language -> font mappings better
  - Use KerkisSans as UI font for Greek
  - Also substitute Albany and Arial UI fonts, if not available
  - Make LC_CTYPE an alternative to set UI localization, not LC_MESSAGES
  - On user installation, make sure that ~/.mime.types doesn't contain
    any duplicates. i.e. don't let it grow constantly

* Tue Mar  4 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-6mdk
- Remove ~/.openoffice/user/work symlink if target is user's HOME dir
- Requires: OpenOffice.org %{version} for -help and -l10n packages
- Patch44: Keep ordering of original PPD file values in Printer Properties
- Patch45: Use CUPS to grab the corresponding PPD file

* Mon Mar  3 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-5mdk
- Patch43: Use light hinting for freetype2 >= 2.1.3-3mdk (RH)
- Patch0: Take care of selected directory in Save dialogs (IZ #8928)
- Main package now owns help/en/err.html file to suggest a help
  package to install if it is not localized yet
- Default font scaling to 100 if FONT_SCALING is not set correctly

* Fri Feb 28 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-4mdk
- Force OOo Draw styles in English for main package
- Patch42: Use MDK colors
- Patch41: Fix crash with a PPD file that does not specify the DPI
  resolution in the string version of the "Resolution" option. (IZ #11616)
- Updates to Source5 (wrapper-script):
  - Handle Arabic UI fonts and language
  - For language selection, prefer LC_ALL which has higher priority
  - If FONT_SCALING variable is not set, don't change user's config either

* Fri Feb 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-3mdk
- Add localized UI strings for: Arab, Slovak
- Add localized help files for: Russian, Finnish, Czech, Japanese,
  Korean, Chinese (simplified and traditional)
- Patch39: Hack up scpzip so that it doesn't duplicate everything 17
  or more times than necessary (RH). Also make sure to handle
  localized help files.

* Wed Jan 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-2mdk
- Remove (obsolete) specfile nonsense
- Handle/skip -g in fake javac wrapper
- Patch37: Don't use obsolete CLK_TCK macros in debug=true mode
- Patch38: Fix rsc code in debug=true mode
- Updates to Source5 (wrapper-script):
  - Don't nuke away other OpenOffice.org installations info from sversionrc

* Tue Jan 28 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-1mdk
- Update to 1.0.2 final
- Patch16 (no-stlport): Remove bits merged upstream
- Add yet another fix to errno (Patch32)
- Patch406: Use system zlib + master truanderie
- Patch407: Directly link against system Xrender library
- Patch408: Fix conflict with system zlib brought in by recent
  freetype2 packages

* Wed Jan 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-0.1mdk
- Update to OOO_STABLE_1 2002/01/13
- Mostly get rid of tcsh use during main build
- Stop symlink'ing <ooo_home>/user/work, since user Common.xml is now
  correctly generated with user Work dir being his home

* Thu Jan  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-10mdk
- Let extra templates be found by OOo in $(insturl)/share/template/extra
- Enforce dependency on perl-XML-Twig with a version known to work
- Add Requires: libsane1, Xaw3d
- Really make it ExclusiveArch: %{ix86} ppc
- Patch34: Enable dmake clean (Debian patch)
- Patch35: Enable RTTI & other optimizations on PPC (CVS, 1.0.2)
- Patch36: Fix bridges on PPC with gcc3 (CVS, 1.0.2)
- Patch37: Add Finnish localizatin, use "35" as prefix code
- Patch38: Fix references to errno
- Patch51: Fix build with recent Mozilla LDAP API changes
- Patch404: Correctly load system libsane
- Patch405: Fix build with newer FreeType 2.1.X libraries (Red Hat)
- Source21: Fix OpenSymbol font encoding table (RH #69996)

* Wed Sep 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-9mdk
- Patch33: Stop forwarding to stderr things we don't actually care of
  while testing for spooler availability. No longer Requires: lpddaemon
- Patch32: Add PDF converters both suitable for either view or press
  purposes as printer option to global psprint.conf (Giuseppe)
- Update wrapper script to reflect that change (auto page size selection)
- Make it run on "msec level 4" systems:
  - Patch30: Get command line arguments the regular way and not from
    /proc/<pid>/cmdline
  - Patch31: Stop trying to read directories up to the root to
    determine the full path of a file. Instead, use a derivative from
    realpath()

* Fri Sep  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-8mdk
- Fix calling of create-instdb script for future releases
- Requires the right set of font packages in -l10n- packages
- Make oo* wrapper scripts actually a link to real ooffice wrapper
- Updates to Source5 (wrapper-script):
  - Handle switch to zh-{CN,TW}
  - Handle more and correct language => UI font mappings
  - No longer expand fontpath from chkfontpath since OOo does exactly
    the same since, well, probably OOo 1.0.0.
  - Workaround MDK::Common::update_gnomekderc bug where a new
    PPD_PageSize entry was not added on a new line, if there was no
    previous user psprint.conf available and the last section didn't
    terminate with a newline character
  - Handle oo<component> --lang <lang> to actually start <component>
    in selected <lang>

* Tue Sep  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-7mdk
- Don't provide nor require any libraries from OOo at all.
- Patch29: Make setup look for a "localized" instdb.ins script
  specified by a new -LANG: option. Hackaround until I find a way to
  do that in scp or autoresponse files.
- Source20: Add script to generate localized instdb.ins files from
  setup.ins. Aka let the right files to be installed for a user
  installation in his language.
- Updates to Source5 (wrapper-script):
  - Add more mappings to Language -> Country table
  - Add --lang option to override default from locale
  - Use "localized" instdb.ins file as mentioned above, for a user
    installation

* Mon Sep  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-6mdk
- Add support for Mozilla addressbook and LDAP sources
- Fix permissions on thesaurus files
- OpenOffice.org-help-* packages now depends on locale-* as an DrakX hack
- Don't forcibly Requires: OpenOffice.org-l10n-en as it works with the
  right language package you want alone.
- Don't forcibly Requires: OpenOffice.org-l10n-* in -help- packages as
  Help can work without. e.g. Having English help with only Russian UI
  localization installed.
- Make transmute-help-errfile.pl hint about the help package to
  install in <b> instead of ugly <tt> with some fonts.
- Merge with Red Hat releases:
  - Start Xvfb in %%{init_xdisplay}
  - Set default document fonts to Nimbus Roman No9 L, Luxi Sans and
    Luxi Mono instead of the non existant Thorndale
  - Make sure New/Wizard menus and OfficeObjects are localized

* Wed Aug 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-5mdk
- Patch19: Make WM_CLASS property for ICCCM compliant, aka don't have
  "VCLSalFrame" showing up in taskbar of KDE 3.0 (IZ #4830, CVS HEAD)
- Add Catalan localization:
  - Source17: Catalan strings (Jesus Corrius, Jordi Mas)
  - Patch25: Add Catalan localization as POSTAPP2TARGET
  - Patch26: Various fixes/additions for Catalan support
  - Patch27: Catalan is only implemented as ca-ES (Jesus Corrius)
- Source18: Add global ooffice configation file
- Updates to Source5 (wrapper-script):
  - Define user work directory to $HOME
  - Use XML::Twig to parse and generate XML code. That's cleaner, more
    flexible but surely not the fastest way
  - Handle global ooffice config in /etc/openoffice/openoffice.conf
    and users' in ~/.oofficerc
  - Automatically define font to use for user interface based on the
    current locale. Overridden with UI_FONT config variable
  - Possibly set UI font scaling based on current display resolution
    (Jakub Jelinek, Red Hat). However, as this is not enabled by
    default, you need to properly set FONT_SCALING first
  - Define paper size to use based on the current locale, and provided
    you don't have any printer configured yet. Otherwise, printerdrake
    will still generate the right default values.

* Tue Aug 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-4mdk
- Fix BuildRequires: for xmlparse (Ian C. Sison)
- Patch17: Add POSTAPP<N>TARGET to be executed after APP targets are built
- Patch18: Add Czech localization as POSTAPP1TARGET
- Updates to Source5 (wrapper-script):
  - Correctly set default language for documents. Aka, transmute user
    Linguistic.xml, or create it if it doesn't exist yet
- Merge with Red Hat releases (5 new patches):
  - Patch{20,21,24,26}: Add Czech localization
  - Patch22: Fix language list for some languages
  - Patch{40,41,42}: Add some patches from <http://oo-cs.sourceforge.net/>

* Mon Aug 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-3mdk
- Move localized help files to new OpenOffice.org-help-* subpackages
- Add localized help files for Spanish, Italian, Swedish, German
- Make help/<lang> a real directory, possibly empty
- Patch16: Check that we have the necessary help files. The rationale
  is if help/<lang>/err.html exists then, we have localized help data,
  possibly not installed. Otherwise, we won't have localized help and
  we try to fallback to English

* Fri Aug 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-2mdk
- Add C/J/K UI localization. Likewise for Danish, Greek, Turkish
- bzip2 helpcontent even if bigger than tgz. We don't want binaries in CVS
- Don't handle upgrade, from 1.0-Xmdk with links from help/$ISOCODE to
  help/en, to 1.0.1-Ymdk where we sometimes have a real directory for
  help/$ISOCODE. Language packages PreReq: OpenOffice.org = %%{version}
  UPDATE: That still doesn't work. As a workaround, you can update
  with l10n-en first. Then, install proper l10n-*. That way works.
- Updates to Source13 (gen-langpack):
  - Fix %%description, don't redefine variables correctly set
  - Map zh-{CN|TW} to zh. Aka. correctly Requires: the right locales-* package
- Updates to Source5 (wrapper-script):
  - Fix silly typo introduced post-tests in versions file
    regeneration. If you installed 1.0.1-1mdk, you'd have better luck
    to rm -rf ~/.openoffice prior to rerunning "ooffice".
  - Add current version tag if it does not exist already. This occurs
    when you upgrade from 1.0 to 1.0.1 for example.
  - If the user installation exists, then the versions file is likely
    to exist too. Otherwise, if we (or the user) nuked it away, then
    simply regenerate it.

* Thu Aug 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-1mdk
- OpenOffice.org 1.0.1
- Requires: libunixODBC2
- Requires: virtual package myspell-dictionary
- Add fully versioned Requires: libgcc
- BuildRequires: gcc3.2 >= 3.2-0.3mdk
- Build with STLport 4.5.3 everywhere
- New "libs" subpackage with OpenOffice.org libraries
- Really make dictionaries stuff go to %{_datadir}/dict/ooo/
- Add localized helpcontent for French
- Update Source7 (dpack-lang) to extract help files in some cases
- Merge Source6 (xlate-lang) with Debian 1.0.1-5
- Automatically regenerate Source6 (xlate-lang) data, add resource names
- Remove support for inexistant Finnish localisation
- Rewrite Source5 (wrapper-script) in full perl. Hopefully, it's now
  more flexible and readable. Also add or fixes the following:
  - Fix paths returned by chkconfig
  - Remove older dictionary symlinks that are now global
  - Don't remove user dictionaries however
  - Add ability to change UI localisation dynamically (merge ideas
    from both Debian and Red Hat people). You have to make sure the
    correct OpenOffice.org-l10-* package is installed however
- Source1[01]: Add additional templates and gallery files from upstream
- Source13: Automatically generate language subpackages
- Patch12: Add parallel build.pl from CVS HEAD (tune later)
- Patch14: Fix set_new_handler() exception specifications, if necessary
- Patch100: Add support for gcc3.2 to UNO
- Patch101: Any gcc >= 3.1.1 has versioned libstdc++ headers location
- Patch303: Add support for any gcc >= 3.1.1 includes dir in STLport
- Patch304: Add EXTRA_CXXFLAGS for RPM_OPT_FLAGS, some fixlets for STLport
- Patch400: Use system db3 library, but only on MDK 9.0 builds
- Patch403: Load libodbc library, not linker name library (from -devel package)
- Make sure we have a correct tcsh when building on MDK 9.0
- Nuke dependency on Sun JDK, use gcj instead (Jakub Jelinek)
- Use perl regexp for postprocess in xmlparse replacement (sed loops otherwise)
- Merge with Red Hat releases (12 new patches):
  - Don't uglify HTML for iso 8859-2
  - Don't catch SIGSEGV and SIGILL
  - Don't die if we cannot write registry cache
  - Don't build internal STLport when using gcc3
  - Make sure we don't do -I/usr/include, it's evil
  - Add support for compiler variables to configure script
  - Add support for new compiler variables to makefiles (COMPCC, COMPCXX)
  - Add debug for setup so that the /tmp directory is not removed
  - Fix broken inline assembly
  - Fix broken makefiles
  - Nuke STLport badlink
  - Use system getopt()

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-5mdk
- Add Russian localization
- Build with gcc3.1 for all supported arches in MDK 9.0
- Remove Patch3, Patch4, Patch13, Patch19, Patch22
- Merge Patch22 (gcc31-misc) and Patch13 (gcc3-linker) in Patch5 (mdkconfig)
- Patch3: Add support for gcc3 on PPC
- Patch4: Workaround gcc3.1 bugs on PPC
- Patch19: Don't copy nor install at setup time standard libraries
- Patch22: Improve font server discovery (OOo 1.0-branch)
- Patch23: Updates to lingucomponent from OOo 1.0-branch:
  - Register own hypenation dictionaries (IZ #45555, IZ #4687)
  - Fix segfault under Thesaurus (IZ #4435)
  - Enable shared spellchecking capabilities
- Update Source4 (local autoresponse) to disable Java detection
- Update Source5 (wrapper script):
  - Better detection of setup failure for user installation
  - Remove any reference to en_US dictionaries for now since OOo
    provides shared ones that work
  - Better handling of broken links in the ~/.openoffice/user/worbook/
    directory. Also possibly unregister the previous dictionary

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-4mdk
- Patch22: Misc patches for gcc3.1 (experimental)
- Rebuild with gcc3.1-1mdk in Cooker

* Wed May 15 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- Default to gcc3.0 in Cooker/x86 for now
- Only build STLport 4.5.3 with gcc-3.0+ builds
- BuildRequires: blackdown-j2sdk = 1.3.1 on PPC (Stew)
- Patch20: cpputools regcomp workaround on PPC (Stew, IZ #3980)
- Patch21: Move OOo Math into the correct GNOME integration module
- Use official OpenOffice.org 1.0 menu icons
- Update and clean %%description to notify language packs available
- Update KDE and GNOME integration
- Update OOo Math document association
- Update Source4 (local autoresponse file) to detect Java Runtime
- Disable desktop (KDE, GNOME, CDE) integration at user's level

* Tue May  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- Build Mozilla Address book on X86. Later for PPC
- BuildRequires: freetype2-devel
- Patch17: Minor fontcache fix (copy weight attribute) from CVS
- Patch18: Build with system FreeType 2 library
- Patch19: Don't install standard libraries (libgcc_s, libstdc++)
- Update Patch8 (no-mozab) to not install mozab and runtime from setup
- Update specfile to remove hackage now done by the above two patches
- Update Patch9 (user-fontpath) to apply to the new oounix/ directory
- Update Source5 (wrapper script):
  - If ~/.openoffice user directory is not detected, remove any
    reference to that directory in ~/.sversionrc, if that file exists
  - Check that user installation succeeded. Exit 1 otherwise

* Fri May  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-1mdk
- OpenOffice.org 1.0
- Epoch: 1 since openoffice is obsoleted
- Remove Patch10 (psprint-euro) since merged upstream
- Patch10: Fix configure script with NULL statement for X check on Darwin
- Update KDE applnk files, icons and MIME associations unpacking
- Update Source5 (wrapper script) to patch new version tag if a
  previous installation of 641-series is found

* Tue Apr 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.1mdk
- Update to OpenOffice.org 641d
- Package is now called OpenOffice.org. Full transition for the file
  hierarchy and revamp of "ooffice" wrapper script will happen later
  though. As this ChangeLog is becoming bigger and bigger ;-)
- ExclusiveArch: %%{ix86} ppc
- Update %%description to clarify myspell purposes
- Add northern languages: Swedish, Finnish, Polish
- Revamp compiler selection:
  - Use gcc-2.95.x on Mandrake Linux 8.2/PowerPC
  - Use gcc-3.0.4 on Mandrake Linux 8.2/Intel x86
  - Use gcc-3.1 on Mandrake Linux 9.0/Intel x86 [LATER]
- Split Patch2 into Patch1 (CLK_TCK), Patch[34] (gcc3[01]-libs)
- Remove Patch6 (bison-1.30+) since merged upstream
- Regenerate Patch3 (MDK config) into Patch5
- Regenerate Patch4 (exceptions specifications) into Patch6
- Update Patch6 with more excp-fixes for bridges test programs
- Update Patch8 (no-mozab) to remove dependency on moz module
- Patch11: Add support for gcc-3.1
- Patch12: Add support for gcc-3.1 to STLport-4.5.3
- Patch13: gcc3+ linker should be g++ instead of gcc
- Patch14: Fix main() return values in bridges tests
- Patch15: Workaround _STL to std:: for gcc < 3.0
- Patch16: JDK 1.3 does exist on PPC too
- Fix /net installation under Xvfb in %%install
- Fix instdb.ins to get rid of $RPM_BUILD_ROOT
- Remove workaround for English wordbook in %%install
- Update "ooffice" wrapper script to reflect this change
- Also make sure to remove (possibly update) broken links to dictionaries

* Wed Mar 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-6mdk
- BuildRequires: jdk = 1.3.1 exactly
- Disable strict aliasing for all gcc builds. aka. Fix copy-pasting in
  Calc component.

* Wed Mar  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-5mdk
- Add mimetypes item to menu entries
- Fix component wrapper scripts
- Fix %%post to get language from LC_MESSAGES environment variable
  instead of /etc/sysconfig/i18n
- Update the ooffice wrapper script to get rid of possible
  /usr/share/fonts/ttf/japanese/ font path that could cause
  OpenOffice.org to crash

* Mon Mar  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-4mdk
- Update %%description to note the existence of myspell-* packages
- Fix %%post and enhance instdb.ins mutation
- Source5: Updates to the ooffice wrapper script to support
  registration of dictionary files in the user's installation

* Mon Mar  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-3mdk
- Patch9: Fix printing of Euro symbol (Till, Giuseppe)
- Source5: Updates to the ooffice wrapper script:
  - Enhance even more to take the result of chkfontpath into account,
    if installed. Otherwise, default to the old method
  - Remove any entry in ~/.sversionrc if OpenOffice.org was not
    provided from this package
  - Workaround location of English workdbook

* Thu Feb 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-2mdk
- Clean rebuild with more languages: Spanish, Dutch, Italian, Portugese
- Add KDE icons and MIME associations
- Patch8: Support extra font paths with the SAL_FONTPATH_USER variable
- Source5: Enhance with extra font paths (TrueType and Type1 fonts)

* Tue Feb 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-1mdk
- Release 641c
- Support (experimental) auto-selection of language pack
- 5 new sources:
  - Source3: Global autoresponse file for rpm build
  - Source4: Local autoresponse file for user setup
  - Source5: OpenOffice.org wrapper script (setup if necessary)
  - Source6: Misc hashes related to language sets
  - Source7: Unpack language sets
- 8 new patches:
  - Patch0: Add support/fixes for gcc-"2.96"
  - Patch1: Add support/fixes for gcc-3.0.4
  - Patch2: Exception patch for STLport 4.5.3 and gcc3
  - Patch3: MDK config (CFLAGS et al.)
  - Patch4: Fix exception specifications here and there
  - Patch5: Hackery around zipdep
  - Patch6: Hackery for new bison (1.30+)
  - Patch7: Don't build Mozilla Address Book

* Mon Oct 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 6.0.5-1mdk
- Initial Release
